> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert camera access config (modo + portas vinculadas)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi put /v1/lpr/cameras/{camera_entity_id}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/lpr/cameras/{camera_entity_id}:
    put:
      tags:
        - LPR
      summary: Upsert camera access config (modo + portas vinculadas)
      operationId: putV1LprCamerasByCamera_entity_id
      parameters:
        - in: header
          name: X-Organization-Id
          required: false
          schema:
            type: string
          description: >-
            ID da organização para contexto (opcional). Quando presente, filtra
            recursos da org.
        - schema:
            type: string
          in: path
          name: camera_entity_id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - mode
                - lock_entity_ids
              properties:
                mode:
                  type: string
                  enum:
                    - legacy
                    - lock_manager
                    - disabled
                lock_entity_ids:
                  type: array
                  items:
                    type: string
                default_timezone:
                  type: string
                dedupe_window_s:
                  type: integer
                  minimum: 1
                  maximum: 3600
      responses:
        '200':
          description: Atualizada
          content:
            application/json:
              schema:
                type: object
                properties:
                  config_entry_id:
                    type: integer
                  camera_entity_id:
                    type: string
                  mode:
                    type: string
                    enum:
                      - legacy
                      - lock_manager
                      - disabled
                  lock_entity_ids:
                    type: array
                    items:
                      type: string
                  default_timezone:
                    type: string
                  dedupe_window_s:
                    type: integer
                  updated_at:
                    type: string
                    format: date-time
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.